﻿@model List<eCommerce.UI.ViewModels.CategoryViewModel>
@using eCommerce.Services.Model.Enums

@if (Model.Any())
{
   
        foreach (var category in Model.Where(x => x.ParentCategoryId == null))
        {
            if (Model.Any(x => x.ParentCategoryId == category.CategoryId))
            {
                if (category.MenuClickable == true)
                {
                <li class="submenu-dropdown category">
                    <a id="shop" href="/shop/@category.SeoUrl" class="menu-dropdown__item">@category.Name</a>
                </li>

            }
            else
            {
                <li class="submenu-dropdown category">
                    <!-- <a id="shop" href="/shop/category.SeoUrl" class="menu__item">category.Name</a> -->
                    <a id="shop" href="/shop/@category.SeoUrl" class="menu-dropdown__item">@category.Name  </a> <i class="fa fa-chevron-right" style="margin-left: 6px;font-weight: 100;font-size: 10px;"></i>

                    <div class="submenu-dropdown__list shop">
                        <div class="submenu-dropdown__columns">

                            <ul class="submenu-dropdown__column">
                                @{
                                    var child_categories_1 = Model.Where(x => x.ParentCategoryId == category.CategoryId);
                                }
                                <li class="parent-category">
                                    <p>@category.Name</p>
                                </li>
                                @foreach (var ccategories in child_categories_1)
                                {

                                    <li class="sec_submenu-dropdown category">

                                        @if (ccategories.MenuClickable)
                                        {
                                            <a href="/shop/@ccategories.SeoUrl" class="sec_submenu-dropdown__item">@ccategories.Name</a>
                                        }
                                        else
                                        {

                                                
                                                <a class="sec_submenu-dropdown__item" href="/shop/@ccategories.SeoUrl">@ccategories.Name</a>

                                            
                                        }


                                    </li>
                                }
                                @*<li class="category">
                                    <a id="shop" href="/shop/@category.SeoUrl" style="font-weight: bold" class="submenu-dropdown__item">VER TODO</a>
                                </li>*@
                            </ul>
                        </div>
                    </div>
                </li>
            }
        }
        else
        {

            <li class="submenu-dropdown category">
                <a id="@category.Name" href="/shop/@category.SeoUrl" class="menu-dropdown__item">@category.Name</a>
            </li>
        }
    }
      
    }

    @*<li>
            <a href="/contacto" class="menu__item">Contacto</a>
        </li>*@